STDBUF(1)

NAVN
stdbuf - kjør KOMMANDO med endret mellomlagring av datastrømmer

OVERSIKT
stdbuf VALG... KOMMANDO

BESKRIVELSE

Kjør KOMMANDO med endret mellomlagring av datastrømmer.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-i, --input=MODUS
    Juster mellomlagring av inndata.

-o, --output=MODUS
    Juster mellomlagring av utdata.

-e, --error=MODUS
    Juster mellomlagring av feilkanal.

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

Datastrømmer mellomlagres per linje hvis MODUS er «L». Dette valget er ugyldig for standard inndata.

Datastrømmer kjører uten mellomlager hvis modus er «0».

Otherwise MODE is a number which may be followed by one of the following: KB 1000, K 1024, MB 1000*1000, M 1024*1024, and so on for G,T,P,E,Z,Y,R,Q. Binary prefixes can be used, too: KiB=K, MiB=M, and so on. In this case the corresponding stream will be fully buffered with the buffer size set to MODE bytes.

MERK: Hvis aktuell KOMMANDO styrer mellomlagring av datastrømmer selv (som f.eks. tee(1)), overstyres valgene som gjøres av stdbuf. Enkelte filtre (som dd(1), cat(1) o.l.) bruker ikke datastrømmer for inn- og utdata, og påvirkes derfor ikke av stdbuf-valg.

  Avslutningsstatus:

125 if the stdbuf command itself fails

126 if COMMAND is found but cannot be invoked

127 if COMMAND cannot be found

-   the exit status of COMMAND otherwise

EKSEMPLER
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
This will immediately display unique entries from access.log

BUGS
On GLIBC platforms, specifying a buffer size, i.e., using fully buffered mode will result in undefined operation.

OPPHAVSMANN
Skrevet av Padraig Brady.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2024 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/stdbuf>
eller lokalt: info '(coreutils) stdbuf invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.